summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0023incomplete_add_set_command_0
diff options
context:
space:
mode:
authorShyam Saini <mayhs11saini@gmail.com>2017-06-23 17:35:55 +0530
committerPablo Neira Ayuso <pablo@netfilter.org>2017-06-26 18:53:40 +0200
commitc96dd58bcfc89d480a52f5ac3986034317a9771a (patch)
tree08857b9613ef2de0bda05cbb50178805c1c69c69 /tests/shell/testcases/sets/0023incomplete_add_set_command_0
parentd129f83435adf65d30de28d50de0792b731f87a6 (diff)
tests: shell: Add test for incomplete set add set command
Before c6cd7c22548a ("src: fix crash when inputting an incomplete set add command") commit, if we run nft with incomplete "add set" command it caused segmentation fault and exit with error code 139 and further it didn't throw any error message. For example: $ sudo nft add set t s But after the aforementioned commit it throws syntax error message and exits with return value 1. For example: $ sudo nft add set t s <cmdline>:1:12-12: Error: syntax error, unexpected newline, expecting '{' add set t s ^ This commit tests changes made in such commit. Signed-off-by: Shyam Saini <mayhs11saini@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/sets/0023incomplete_add_set_command_0')
-rwxr-xr-xtests/shell/testcases/sets/0023incomplete_add_set_command_016
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0023incomplete_add_set_command_0 b/tests/shell/testcases/sets/0023incomplete_add_set_command_0
new file mode 100755
index 00000000..b7535f70
--- /dev/null
+++ b/tests/shell/testcases/sets/0023incomplete_add_set_command_0
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# This testscase checks bug identified and fixed in the commit Id "c6cd7c22548a"
+# Before the commit c6cd7c22548a, nft returns 139 (i.e, segmentation fault) which
+# indicates the bug but after the commit it returns 1.
+
+$NFT add table t
+$NFT add set t c
+
+ret=$?
+if [ $ret -ne 1 ] ;
+then
+ echo "E: returned $ret instead of 1" >&2
+ exit 1
+fi
+